org.apache.catalina.valves

## Class AbstractAccessLogValve.ThreadNameElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.ThreadNameElement

- All Implemented Interfaces:
    AbstractAccessLogValve.AccessLogElement
  Enclosing class:
    AbstractAccessLogValve

      protected static class AbstractAccessLogValve.ThreadNameElement
      extends Object
      implements AbstractAccessLogValve.AccessLogElement

  write thread name - %I

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAccessLogValve.ThreadNameElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAccessLogValve.ThreadNameElement

          protected AbstractAccessLogValve.ThreadNameElement()

  - ### Method Detail

    - #### addElement

          public void addElement(CharArrayWriter buf,
                        Date date,
                        Request request,
                        Response response,
                        long time)

      Specified by:
        `addElement` in interface `AbstractAccessLogValve.AccessLogElement`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.